Skip to main content

# Transport Properties

## Transport

class Transport(th, model, loglevel)

  Transport class constructor.

  Create a new instance of class `Transport()`. One to three arguments may be supplied. The first must be an instance of class `ThermoPhase()`. The second (optional) argument is the type of model desired, specified by the string `'default'`, `'Mix'` or `'Multi'`. `'default'` uses the default transport specified in the `XML_Node()`. The third argument is the logging level desired.

  Parameters

    - th – Instance of class `ThermoPhase()`

    - model – String indicating the transport model to use. Possible values are `'default'`, `'None'`, `'Mix'`, and `'Multi'`. Optional.

    - loglevel – Level of diagnostic logging. Default if not specified is 4.

  Returns

    Instance of class `Transport()`

  binDiffCoeffs(a)

    Get the binary diffusion coefficents.

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which binary diffusion coefficients are desired.

    Returns

      A matrix of binary diffusion coefficients. The matrix is symmetric: d(i,j) = d(j,i). Units: m**2/s

  electricalConductivity(a)

    Get the electrical conductivity.

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which the electrical conductivity is desired.

    Returns

      Electrical conductivity in S/m

  mixDiffCoeffs(a)

    Get the mixture-averaged diffusion coefficients.

    Object `a` must belong to a class derived from Transport, and that was constructed by specifying the `'Mix'` option. If `'Mix'` was not specified, you will get the error message

        **** Method getMixDiffCoeffs not implemented. ****

    In this case, try method `multiDiffCoeffs()`, or create a new gas mixture model that uses a mixture-averaged transport manager, for example:

        >> gas = GRI30('Mix');

    See also: `MultiDiffCoeffs()`

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which mixture-averaged diffusion coefficients are desired.

    Returns

      Vector of length nSpecies with the mixture-averaged diffusion coefficients. Units: m**2/s

  multiDiffCoeffs(a)

    Get the multicomponent diffusion coefficients.

    Object `a` must belong to a class derived from Transport, and that was constructed by specifying the `'Multi'` option. If `'Multi'` was not specified, you will get the error message

        **** Method getMultiDiffCoeffs not implemented. ****

    In this case, try method `mixDiffCoeffs()`, or create a new gas mixture model that uses a mixture-averaged transport manager, for example:

        >> gas = GRI30('Multi');

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which multicomponent diffusion coefficients are desired.

    Returns

      Matrix of size [nSpecies, nSpecies] with the multicomponent diffusion coefficients D(i,j), the diffusion coefficient for species i due to concentration gradients in species j. Units: m^2/s

  setParameters(tr, type, k, p)

    Set the parameters.

    Set parameters of the `Transport()` instance. Not defined for all transport types.

    Parameters

      - tr – Instance of class `Transport()` (or another object derived from Transport)

      - type –

      - k –

      - p –

  setThermalConductivity(tr, lam)

    Set the thermal conductivity.

    This method can only be used with transport models that support directly setting the value of the thermal conductivity.

    Parameters

      - tr – Instance of class `Transport()` (or another object derived from Transport)

      - lam – Thermal conductivity in W/(m-K)

  thermalConductivity(a)

    Get the thermal conductivity.

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which the thermal conductivity is desired.

    Returns

      Thermal conductivity. Units: W/m-K

  thermalDiffCoeffs(a)

    Get the thermal diffusion coefficients.

    Object `a` must belong to a class derived from Transport, and that was constructed by specifying the `'Multi'` option. If `'Multi'` was not specified, the returned values will all be zero.

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which the thermal diffusion coefficients are desired.

    Returns

      Vector of thermal diffusion coefficients of length nSpecies

  viscosity(a)

    Get the dynamic viscosity.

    Parameters

      a – Instance of class `Transport()` (or another object derived from Transport) for which the viscosity is desired.

    Returns

      Dynamic viscosity. Units: Pa*s